List members
curl --request GET \
--url https://api.tented.ai/v1/contact-lists/{listId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tented.ai/v1/contact-lists/{listId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tented.ai/v1/contact-lists/{listId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contacts": [
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"original_source": "<string>",
"original_source_detail": "<string>",
"company": "<string>",
"job_title": "<string>",
"lead_status": "<string>",
"lifecycle_stage": "<string>",
"tented_score": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"member_added_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}Contact Lists
List members
Page through the members of a list (static or dynamic).
GET
/
v1
/
contact-lists
/
{listId}
/
contacts
List members
Authorizations
Workspace API key, e.g. Authorization: Bearer tented_.... Create keys in Workspace Settings → API Keys.
Path Parameters
Contact list ID.
Query Parameters
1-based page number.
Required range:
x >= 1Page size (1-100).
Required range:
1 <= x <= 100Case-insensitive name/email search.
Sort key. member_added_at sorts by when the contact joined this list.
Available options:
member_added_at, created_at, updated_at, last_activity_at, display_name, first_name, last_name, normalized_email, original_source Sort direction.
Available options:
asc, desc When set, omit contacts unsubscribed from marketing email.
Available options:
1, true When set, return only contacts unsubscribed from marketing email. exclude_unsubscribed wins if both are set.
Available options:
1, true